OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.EXT.FramebufferBlit

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetEXTFramebufferBlit :: MonadIO m => m Bool
- gl_EXT_framebuffer_blit :: Bool
- gl_DRAW_FRAMEBUFFER_BINDING_EXT :: GLenum
- gl_DRAW_FRAMEBUFFER_EXT :: GLenum
- gl_READ_FRAMEBUFFER_BINDING_EXT :: GLenum
- gl_READ_FRAMEBUFFER_EXT :: GLenum
- glBlitFramebufferEXT :: MonadIO m => GLint -> GLint -> GLint -> GLint -> GLint -> GLint -> GLint -> GLint -> GLbitfield -> GLenum -> m ()

# Extension Support

glGetEXTFramebufferBlit :: MonadIO m => m Bool

Is the EXT_framebuffer_blit extension supported?

gl_EXT_framebuffer_blit :: Bool

Is the EXT_framebuffer_blit extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTFramebufferBlit` in those cases instead.

# Enums

gl_DRAW_FRAMEBUFFER_BINDING_EXT :: GLenum

gl_DRAW_FRAMEBUFFER_EXT :: GLenum

gl_READ_FRAMEBUFFER_BINDING_EXT :: GLenum

gl_READ_FRAMEBUFFER_EXT :: GLenum

# Functions

glBlitFramebufferEXT

Arguments

:: MonadIO m |
=> GLint | `srcX0`.
-> GLint | `srcY0`.
-> GLint | `srcX1`.
-> GLint | `srcY1`.
-> GLint | `dstX0`.
-> GLint | `dstY0`.
-> GLint | `dstX1`.
-> GLint | `dstY1`.
-> GLbitfield | `mask` of type ClearBufferMask.
-> GLenum | `filter`.
-> m () |

This command is an alias for `glBlitFramebuffer`.